package cn.iocoder.yudao.module.order.dal.dataobject.orderNumberLog;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 最新编号记录 DO
 *
 * @author 郑屹
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_number_log")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderNumberLogDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 编号key值
     */
    private String numberKey;
    /**
     * 最新编号
     */
    private String number;
    /**
     * 类型：详情请查看枚举OrderNumberEnum
     */
    private Integer type;

    /**
     * 行号
     */
    private Integer version;

}
