package cn.iocoder.yudao.module.order.dal.dataobject.orderWarehouseApproval;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 入仓单审核 DO
 *
 * @author yanghao
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_warehouse_approval")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderWarehouseApprovalDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 订单ID
     */
    private String orderIds;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 订单项id
     */
    private Long orderItemId;
    /**
     * 入仓id
     */
    private Long warehouseInId;
    /**
     * 流程表单实例ID
     */
    private String formId;
    /**
     * 类型：1 入仓修改 2 调仓 3 退仓 见字典order_warehouse_approval_type
     *
     * 枚举 {@link TODO order_warehouse_approval_type 对应的类}
     */
    private Integer type;
    /**
     * 跟进业务员
     */
    private Long followUpAdminId;
    /**
     * 审核内容/修改前
     */
    private String details;
    /**
     * 状态：1 处理中 2 通过 3 不通过 4 取消
     */
    private Integer status;
    /**
     * 处理结果
     */
    private String processingResults;
    /**
     * 结束人
     */
    private String finishBy;
    /**
     * 结束时间
     */
    private Date finishTime;

    /**
     * 是否批量
     */
    private Boolean isBatch;


    /**
     * 是否来自于用户客户端
     */
    private Boolean isFromUserClient = false;

    /**
     * 退仓图片
     */
    private String imgUrl;

}
