package cn.iocoder.yudao.module.order.vo.approval;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

@Data
@ApiModel(value = "批量特价申请详情")
public class OrderSpecialBatchApplyVO {

    @ApiModelProperty(value = "订单头信息")
    private OrderApprovalHeadBaseVO orderApprovalHeadBaseVO;

    @ApiModelProperty(value = "审批id", required = true)
    private Long orderApprovalId;

    @ApiModelProperty(value = "流程表单实例ID")
    private String formId;

    @ApiModelProperty(value = "申请类型：详见字典order_approval_type")
    @NotNull(message = "申请类型不能为空")
    private Integer applyType;

    @ApiModelProperty(value = "订单ID", required = true)
    private Long orderId;

    @ApiModelProperty(value = "订单号", required = true)
    private String orderNo;


    @ApiModelProperty(value = "订单项详情", required = true)
    private List<OrderSpecialBatchApplyOrderItemDetailVO> batchApplyOrderItemDetailVOList;



    @ApiModelProperty(value = "审批状态: 0 初始化状态 1 处理中  2 通过 3 不通过 4 已取消")
    private Integer applyStatus = 0;

    @ApiModelProperty(value = "审批结果")
    private String applyResult;

    @ApiModelProperty(value = "抄送人(id逗号拼接)")
    private String ccIds;

    @ApiModelProperty(value = "备注")
    private String remarks;
}
