package cn.iocoder.yudao.module.order.vo.orderTime;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.*;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 下单时间轴事件 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OrderTimeBaseVO {

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "订单状态 详见字典 order_status")
    private Integer status;

    @ApiModelProperty(value = "")
    private String titleZh;

    @ApiModelProperty(value = "")
    private String titleEn;

    @ApiModelProperty(value = "标记颜色：0 默认不标记 1 红色")
    private Integer mark = 0;

    /**
     * 中文备注
     */
    @ApiModelProperty(value = "中文备注")
    private String remarksZh;
    /**
     * 英文备注
     */
    @ApiModelProperty(value = "英文备注")
    private String remarksEn;

    @ExcelProperty("业务时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "业务时间", required = true)
    private Date businessTime;

}
